//----------------------------------------------------------------------
// File:			ALTSsearch.h
// Programmer:		David Mount
// Description:		Definitions for main search procedure
// Last modified:	06/17/2015 (Version 1.0)
//----------------------------------------------------------------------
// Copyright (c) 2015 University of Maryland and David Mount.  All
// Rights Reserved.
// 
// This software and related documentation is part of the Approximate
// Least-Trimmed Squares (ALTS) software.  This software is provided
// under the provisions of the GNU Public License (GPL). See the file
// ReadMe.txt for further information.
// 
// The University of Maryland (U.M.) and the authors make no
// representations about the suitability or fitness of this software for
// any purpose.  It is provided "as is" without express or implied
// warranty.
//----------------------------------------------------------------------
// History:
//	Revision 1.0  06/17/2015
//		Initial release
//----------------------------------------------------------------------

#ifndef ALTS_SEARCH_H
#define ALTS_SEARCH_H

#include "ALTS.h"						// basic definitions

//----------------------------------------------------------------------
//	Main entry point
//----------------------------------------------------------------------

namespace alts {
	LTSResult ltsSearch(				// Branch and bound LTS search
		Params&		params);			// parameters
}

#endif
